Bug 653493 - [Cantiga] Corrupted display after hibernate on Lenovo X200
Summary: [Cantiga] Corrupted display after hibernate on Lenovo X200
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-15 15:47 UTC by Zack Cerza
Modified: 2018-04-11 15:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 16:59:12 UTC
Type: ---


Attachments (Terms of Use)
screenshot (126.91 KB, image/png)
2010-11-15 15:47 UTC, Zack Cerza
no flags Details
Xorg.0.log (94.05 KB, text/plain)
2010-11-15 15:47 UTC, Zack Cerza
no flags Details
dmesg output (122.71 KB, text/plain)
2010-11-16 20:56 UTC, Zack Cerza
no flags Details
smolt profile (6.76 KB, text/plain)
2011-04-09 19:38 UTC, Bingo
no flags Details

Description Zack Cerza 2010-11-15 15:47:06 UTC
Created attachment 460560 [details]
screenshot

Description of problem:
After resume from hibernate, my display's corrupted. I've attached a screenshot. The Firefox window was created after resume. Also, my fonts are consistently corrupted, meaning that, for example, each 'e' is messed up in the same way, and so on.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.12.0-6.fc14.1.x86_64
kernel-2.6.35.6-48.fc14.x86_64

Comment 1 Zack Cerza 2010-11-15 15:47:53 UTC
Created attachment 460561 [details]
Xorg.0.log

Comment 2 Matěj Cepl 2010-11-16 00:24:42 UTC
Could we get also output of the dmesg command AFTER the issue is reproduced but BEFORE the reboot, please?

Thank you

Comment 3 Zack Cerza 2010-11-16 20:56:09 UTC
Created attachment 460924 [details]
dmesg output

Also - turns out logging out and back in again is enough to clear up the corruption.

Comment 4 Bingo 2011-04-09 19:38:42 UTC
Created attachment 490991 [details]
smolt profile

smoltProfile for a setup which reproduces this issue.

Comment 5 Bingo 2011-04-09 19:45:03 UTC
I confirm the issue. It started right when I switched to Fedora 14 from Fedora 13. Subsequent updates to latest packages have not resolved.

Mine only reproduces if 2 users are logged in while hibernate is initiated. 2 users logged in could either be using "switch user", or using "startx -- :2". On restore from hibernate, fonts and other display artifacts are corrupted very much like the attached screenshot by Zack. My issue also gets cleared after logging out and logging back in. X displays for both the users get corrupted.


Hardware : my smolt profile file is attached (attachment ID 490991).

The issue remains even if I switched to KDM from GDM, so not display manager related.

Comment 6 Fedora End Of Life 2012-08-16 16:59:14 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.